Package twisted :: Package protocols :: Package mice :: Module mouseman :: Class MouseMan

[frames | no frames]

## Class MouseMan

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      MouseMan

Parser for Logitech MouseMan serial mouse protocol (compatible with Microsoft Serial Mouse).

Method Summary
| ``dataReceived`(self, data)` Called whenever data is received.
| `down_left(self)`
| `down_middle(self)`
| `down_right(self)`
| `move(self, x, y)`
| `snapshot(self)`
| `state_horiz(self, byte)`
| `state_initial(self, byte)`
| `state_maybemiddle(self, byte)`
| `state_vert(self, byte)`
| `up_left(self)`
| `up_middle(self)`
| `up_right(self)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`NoneType` | `horiz` = None
`NoneType` | `horizold` = None
`NoneType` | `leftbutton` = None
`NoneType` | `leftold` = None
`NoneType` | `middlebutton` = None
`NoneType` | `middleold` = None
`NoneType` | `rightbutton` = None
`NoneType` | `rightold` = None
`str` | `state` = `'initial'`
`NoneType` | `vert` = None
`NoneType` | `vertold` = None
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.
  Overrides:
    `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

Class Variable Details

### horiz

  Type:
    `NoneType`
  Value:

        None

### horizold

  Type:
    `NoneType`
  Value:

        None

### leftbutton

  Type:
    `NoneType`
  Value:

        None

### leftold

  Type:
    `NoneType`
  Value:

        None

### middlebutton

  Type:
    `NoneType`
  Value:

        None

### middleold

  Type:
    `NoneType`
  Value:

        None

### rightbutton

  Type:
    `NoneType`
  Value:

        None

### rightold

  Type:
    `NoneType`
  Value:

        None

### state

  Type:
    `str`
  Value:

        'initial'

### vert

  Type:
    `NoneType`
  Value:

        None

### vertold

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:31 2004 | http://epydoc.sf.net